Skip to main content

Terminals

Retrieves the list of merchant terminals with balances.

Endpoint

GET /v1/terminals

Request Example

curl -X GET https://api.bopay.io/v1/terminals \
-H "X-Identity: your-api-key" \
-H "X-Signature: your-signature"

Response

{
"terminals": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Main Terminal",
"balance": 3000.50,
"balance_frozen": 100.00,
"withdrawal_fee": 5,
"currency": "USDT",
"is_active": true
},
{
"id": "660f9500-f30c-52e5-b827-557766551111",
"name": "Secondary Terminal",
"balance": 2000.00,
"balance_frozen": 50.00,
"withdrawal_fee": 5,
"currency": "USDT",
"is_active": true
}
]
}

Response Fields

FieldTypeDescription
idstringTerminal ID
namestringTerminal name
balancenumberAvailable terminal balance (USDT)
balance_frozennumberFrozen balance (USDT)
withdrawal_feenumberWithdrawal fee (USDT)
currencystringCurrency (USDT)
is_activebooleanWhether the terminal is active
Balance

Each terminal has its own individual balance. Funds from payments are credited to the balance of the specific terminal the payment went through. To view the total balance, use GET /v1/balance.